Name:     ul-bl-httpd
Version:  1.0.1
Release:  4%{?dist}
Summary:  An http api daemon to the Ultimate.Hosts.Blacklist
Epoch:    7
Packager: Eliezer Croitoru <eliezer@ngtech.co.il>
Vendor:   NgTech Ltd
License:  3 Clause BSD
Group:    System Environment/Daemons
URL:      http://www.ngtech.co.il/wpe/
Source0:  ul-bl-httpd.service
Source1:  ul-bl-httpd
Source2:  ul-bl-httpd.sysconfig
Source3:  ul-bl-databases-cleanup.sh
Source4:  ul-bl-httpd-update.sh
Source5:  ul-bl-update-cron
Source6:  ul-bl-cleanup-cron

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(preun):  systemd
Requires(postun): systemd
Requires: systemd-units
Requires: crontabs
# Required to allow debug package auto creation
BuildRequires:  redhat-rpm-config
BuildRequires:  systemd-units

# Required to validate auto requires AutoReqProv: no
## aaaAutoReqProv: no

%description
An http api daemon to the Ultimate.Hosts.Blacklist.
It uses the query term "host" ie "http://localhost:9999/?host=badass.com"
to check if a domain is blacklisted.
This service is compatible with https://github.com/elico/drbl-peer library.

%prep

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
mkdir -p ${RPM_BUILD_ROOT}%{_unitdir}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sbindir}
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.d
install -m 644 %{SOURCE0} ${RPM_BUILD_ROOT}%{_unitdir}/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/ul-bl-httpd
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/ul-bl-httpd
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_bindir}/
install -m 750 %{SOURCE5} ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.d/ul-bl-update
install -m 750 %{SOURCE6} ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.d/ul-bl-db-cleanup

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%attr(755,root,root) %dir %{_sysconfdir}
%attr(755,root,root) %dir %{_sysconfdir}/sysconfig
%config(noreplace) %{_sysconfdir}/sysconfig/ul-bl-httpd
%attr(755,root,root) %{_bindir}/ul-bl-httpd
%attr(755,root,root) %{_bindir}/ul-bl-httpd-update.sh
%attr(755,root,root) %{_bindir}/ul-bl-databases-cleanup.sh
%config(noreplace) %{_sysconfdir}/cron.d/ul-bl-update
%config(noreplace) %{_sysconfdir}/cron.d/ul-bl-db-cleanup

%{_unitdir}/

%post
%systemd_post ul-bl-httpd.service

%preun
%systemd_preun ul-bl-httpd.service

%postun
%systemd_postun_with_restart ul-bl-httpd.service

%changelog
* Thu May 19 2018 Eliezer Croitoru <eliezer@ngtech.co.il>
- Release 1.0.1 Stable.
+ <https://github.com/mitchellkrogza/Ultimate.Hosts.Blacklist>
+ <http://gogs.ngtech.co.il/elicro/ultimate-hosts-bl-utils/src/master/http-leveldb-based-service>
+ change query term from "check" to "host" for drblpeer compatability.
